Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_Thread_Lane_Resources_Manager Class Reference

Manager for thread lane resources. More...

`#include <RT_Thread_Lane_Resources_Manager.h>`

Inheritance diagram for TAO_RT_Thread_Lane_Resources_Manager:

[legend]
Collaboration diagram for TAO_RT_Thread_Lane_Resources_Manager:

[legend]
List of all members.

## Accessors
TAO_Thread_Lane_Resources & | lane_resources (void)
TAO_Thread_Lane_Resources & | default_lane_resources (void)
TAO_Thread_Pool_Manager & | tp_manager (void)
## Public Methods
| TAO_RT_Thread_Lane_Resources_Manager (TAO_ORB_Core &orb_core)
| Constructor.
| ~TAO_RT_Thread_Lane_Resources_Manager (void)
| Destructor.
void | finalize (void)
| Finalize resources.
int | open_default_resources (ACE_ENV_SINGLE_ARG_DECL)
| Open default resources.
void | shutdown_reactor (void)
| Shutdown reactor.
int | is_collocated (const TAO_MProfile &mprofile)
| Does mprofile belong to us?
## Protected Attributes
TAO_Thread_Lane_Resources * | default_lane_resources_
| Default lane resources.
TAO_Thread_Pool_Manager * | tp_manager_
| Thread Pool Manager.

## Detailed Description

Manager for thread lane resources.

## Constructor & Destructor Documentation

TAO_RT_Thread_Lane_Resources_Manager::TAO_RT_Thread_Lane_Resources_Manager | ( | TAO_ORB_Core & | orb_core | ) |

| Constructor.

TAO_RT_Thread_Lane_Resources_Manager::~TAO_RT_Thread_Lane_Resources_Manager | ( | void |  | ) |

| Destructor.

## Member Function Documentation

TAO_Thread_Lane_Resources & TAO_RT_Thread_Lane_Resources_Manager::default_lane_resources | ( | void |  | ) | `[virtual]`

| Implements TAO_Thread_Lane_Resources_Manager.

void TAO_RT_Thread_Lane_Resources_Manager::finalize | ( | void |  | ) | `[virtual]`

| Finalize resources. Implements TAO_Thread_Lane_Resources_Manager.

int TAO_RT_Thread_Lane_Resources_Manager::is_collocated | ( | const TAO_MProfile & | mprofile | ) | `[virtual]`

| Does mprofile belong to us? Implements TAO_Thread_Lane_Resources_Manager.

TAO_Thread_Lane_Resources & TAO_RT_Thread_Lane_Resources_Manager::lane_resources | ( | void |  | ) | `[virtual]`

| Implements TAO_Thread_Lane_Resources_Manager.

int TAO_RT_Thread_Lane_Resources_Manager::open_default_resources | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Open default resources. Implements TAO_Thread_Lane_Resources_Manager.

void TAO_RT_Thread_Lane_Resources_Manager::shutdown_reactor | ( | void |  | ) | `[virtual]`

| Shutdown reactor. Implements TAO_Thread_Lane_Resources_Manager.

TAO_Thread_Pool_Manager & TAO_RT_Thread_Lane_Resources_Manager::tp_manager | ( | void |  | ) |

## Member Data Documentation

TAO_Thread_Lane_Resources* TAO_RT_Thread_Lane_Resources_Manager::default_lane_resources_`[protected]`

| Default lane resources.

TAO_Thread_Pool_Manager* TAO_RT_Thread_Lane_Resources_Manager::tp_manager_`[protected]`

| Thread Pool Manager.

The documentation for this class was generated from the following files:

- RT_Thread_Lane_Resources_Manager.h
- RT_Thread_Lane_Resources_Manager.cpp